Name:           qof
Version:        0.8.7
Release:        7%{?dist}
Summary:        Query engine library for C objects

Group:          System Environment/Libraries
License:        GPLv2+
URL:            http://alioth.debian.org/projects/qof/
Source0:        http://alioth.debian.org/frs/download.php/file/3908/qof-%{version}.tar.gz
Source1:        qofla-dir-32.h
Source2:        qofla-dir-64.h
Source3:        qofla-dir.h
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: libxml2-devel
BuildRequires: glib2-devel
BuildRequires: libgda-devel
BuildRequires: intltool
BuildRequires: gettext
# qof doesn't ship with pre-built documentation
BuildRequires: doxygen

%description
QOF - The Query Object Framework is a C library that provides a query engine
to C applications.  This allows SQL-like queries to be performes on a
collection of C/C++ objects (which act like SQL tables).

QOF is an offshoot of the GnuCash engine, consisting of those pieces
unrelated to accounting.  The Query Engine allows C/C++ applications
to treat random collections of objects as if they were SQL tables,
and perform table-join type queries across them.  In addition, the
query engine can be backed by an actual database, so that instances
of local objects can act as a 'cache' to a much larger SQL database.

%package doc
Summary: API documentation for libqof
Group: Documentation
Requires: %{name} = %{version}-%{release}
Obsoletes: qof-docs <= 0.6.4-5
Provides: qof-docs = %{version}-%{release}

%description doc
QOF - The Query Object Framework is a C library that provides a query engine
to C applications.  This allows SQL-like queries to be performes on a
collection of C/C++ objects (which act like SQL tables).

This package contains API documentation for programming against libqof.
Install this package if you need information on writing a program that uses
libqof.

%package        devel
Summary:        Development tools for programs which will use the qof library
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       libxml2-devel
Requires:       glib2-devel
Requires:       libgda-devel
Requires:       pkgconfig
License: GFDL 

%description    devel
QOF - The Query Object Framework is a C library that provides a query engine
to C applications.  This allows SQL-like queries to be performes on a
collection of C/C++ objects (which act like SQL tables).

This package contains the header files and  static libraries to develop
programs that will use the qof library.  You should
install this package if you need to develop programs which will use the qof
library functions.  You'll also need to install the qof package.

%prep
%setup -q

%build
# qof doesn't work with sqlite-3
%configure --disable-static --disable-sqlite --disable-error-on-warning
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT
mv $RPM_BUILD_ROOT/usr/share/doc/qof/html .
install -p -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_includedir}/qof
install -p -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_includedir}/qof
#rm $RPM_BUILD_ROOT%{_includedir}/qof/qofla-dir.h
install -p -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_includedir}/qof

find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

%find_lang %{name}

make check

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README TODO
%{_libdir}/*.so.*
%{_datadir}/xml/qof/

%files devel
%defattr(-,root,root,0755)
%doc ChangeLog
%{_includedir}/qof
%{_libdir}/*.so
%{_libdir}/qof2/*.so
%{_libdir}/pkgconfig/*

%files doc
%defattr(-,root,root,-)
%doc html

%changelog
* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.7-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.7-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Jul 12 2013 Jon Ciesla <limburgher@gmail.com> - 0.8.7-1
- Latest upstream.

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.5-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.5-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.5-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.5-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.5-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Feb 27 2009 Denis <denis@poolshark.org> - 0.7.5-6
- Disabled error on warnings

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Jan 22 2009 Denis Leroy <denis@poolshark.org> - 0.7.5-4
- Rebuild against compat-libgda, as libgda moved on to 4.0 API

* Mon Jun 02 2008 Jon Ciesla <limb@jcomserv.net> - 0.7.5-3
- Fix %%check FTBTS error.  Bug promised, not yet filed.

* Wed Apr 02 2008 Jon Ciesla <limb@jcomserv.net> - 0.7.5-2
- Fix multilib conflict, BZ 343011.

* Fri Feb 8 2008 Toshio Kuratomi <toshio@fedoraproject.org> - 0.7.5-1
- Upgrade to upstream 0.7.5.
- Rebuild for new gcc.

* Sat Aug 18 2007 Toshio Kuratomi <toshio-tiki-lounge.com> - 0.7.2-1
- Upgrade to upstream 0.7.2.
- Fix license tag.
- Make Provides versioned.
- Documentation is under the GFDL.  Mark it as such.

* Thu Aug 24 2006 Toshio Kuratomi <toshio-tiki-lounge.com> - 0.7.0-1
- Upgrade to upstream 0.7.0.

* Sun Jun 11 2006 Toshio Kuratomi <toshio-tiki-lounge.com> - 0.6.4-6
- Rename docs subpackage to doc.

* Sun May 28 2006 Toshio Kuratomi <toshio-tiki-lounge.com> - 0.6.4-5
- Use G_MAXINT32 for the test patch.
- BR: gettext.

* Fri May 12 2006 Toshio Kuratomi <toshio-tiki-lounge.com> - 0.6.4-4
- After talking with upstream it was decided that the supposed char problem
  was a problem with the test suite.  New patch fixes an overflow in the
  tests.

* Sun Apr 30 2006 Toshio Kuratomi <toshio-tiki-lounge.com> - 0.6.4-3
- Fix stupid in a hurry typo.

* Sun Apr 30 2006 Toshio Kuratomi <toshio-tiki-lounge.com> - 0.6.4-2
- Patch to fix a signed/unsigned char problem on ppc.

* Mon Apr 17 2006 Toshio Kuratomi <toshio-tiki-lounge.com> - 0.6.4-1
- Update to qof 0.6.4.
- Patch a small compile problem in building tests on x86_64.
  
* Mon Feb 13 2006 Toshio Kuratomi <toshio-tiki-lounge.com> - 0.6.1-2
- Bump and rebuild for FC5.

* Sat Jan 14 2006 Toshio Kuratomi <toshio-tiki-lounge.com> - 0.6.1-1
- Upgrade to 0.6.1.
- Drop patches integrated upstream.
- Remove static libs.
- Patch to add dependencies to the pkgconfig file and linked to the library.
- Patch to remove ltdl from the tests.  This is linked in but apparently isn't
  used.  Also fix the make targets to build tests separately from the library.
- Enable %%check as it works with the previous patch.
  
* Sun Oct 23 2005 Toshio Kuratomi <toshio-tiki-lunge.com> - 0.6.0-1
- Upgrade to 0.6.0.
- Drop patches integrated upstream.
- Small patches for x86_64 and gcc4.
- Patch to work around upstream thinko regarding how gmodule works.

* Wed Aug 17 2005 Toshio Kuratomi <toshio-tiki-lounge.com> - 0.5.0-6
- Add dist tag.
- Rebuild for devel (FC5).

* Wed Mar 23 2005 Toshio Kuratomi <toshio-tiki-lounge.com> - 0.5.0-5
- ltdl-devel package is libtool-ltdl-devel.

* Tue Mar 22 2005 Toshio Kuratomi <toshio-tiki-lounge.com> - 0.5.0-4
- BuildRequire ltdl-devel as libtool no longer pulls it in automatically.

* Mon Mar 21 2005 Toshio Kuratomi <toshio-tiki-lounge.com> - 0.5.0-3
- Rebuild for FC4t1.

* Tue Sep 28 2004 Toshio Kuratomi <toshio-tiki-lounge.com> - 0:0.5.0-0.fdr.2
- Added pkgconfig and glib2-devel to the -devel package's requirements.
  (suggestion from Michael Schwendt)

* Wed Jul 14 2004 Toshio Kuratomi <toshio[AT]tiki-lounge.com> - 0:0.5.0-0.fdr.1
- Initial RPM release.
- All patches submitted upstream.
